org.apache.commons.ssl.asn1

## Class DEROutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.apache.commons.ssl.asn1.DEROutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, DERTags

Direct Known Subclasses:
  ASN1OutputStream, BEROutputStream

    public class DEROutputStream
    extends java.io.FilterOutputStream
    implements DERTags

### Field Summary

### Fields inherited from class java.io.FilterOutputStream

`out`

### Fields inherited from interface org.apache.commons.ssl.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`DEROutputStream(java.io.OutputStream os)`

### Method Summary

Methods
`void` `write(byte[] buf)`
`void` `write(byte[] buf, int offSet, int len)`
`(package private) void` `writeEncoded(int tag, byte[] bytes)`
`private void` `writeLength(int length)`
`protected void` `writeNull()`
`void` `writeObject(java.lang.Object obj)`

### Methods inherited from class java.io.FilterOutputStream

`close, flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DEROutputStream

    public DEROutputStream(java.io.OutputStream os)

### Method Detail

#### writeLength

    private void writeLength(int length)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeEncoded

    void writeEncoded(int tag,
                    byte[] bytes)
                throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeNull

    protected void writeNull()
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### write

    public void write(byte[] buf)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] buf,
             int offSet,
             int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`

#### writeObject

    public void writeObject(java.lang.Object obj)
                     throws java.io.IOException

Throws:
  `java.io.IOException`